#ifndef __orov__msg__system__VacuumTest__idl__
#define __orov__msg__system__VacuumTest__idl__

#include "orov/msg/common/Duration.idl"

module orov {
module msg {
module system {

    const long VACUUM_TEST_STATE_UNKNOWN    = 0;
    const long VACUUM_TEST_STATE_IDLE       = 1;
    const long VACUUM_TEST_STATE_RUNNING    = 2;

    struct VacuumTest
    {
        orov::msg::common::Duration runtime;

        string uuid; //@key

        long state;

        float starting_pressure;            // Pressure when vehicle started up
        float current_pressure;
        float pressure_velocity;            // Rate of change, calculated over last N samples
        float average_pressure_velocity;    // Average rate of change, calculated as an approximated rolling average pressure velocities

        float temperature;

        float battery_voltage;
        float battery_percent;

        long total_samples;
    };

};
};
};

#endif